. sh/verbose.sh
. sh/temp.sh

echo 1>&4 "CONSTANT:  Checking memory layout..."

cat >$temp_c <<EOF

#include <stdlib.h>
#include <malloc.h>

int a;

int main()
{
	int b;
	void *c= malloc(0x100);
	char *d;
	struct mallinfo mi;

	mi= mallinfo();

	if (c == NULL)
	    return 1;

	d= "hello";

	return ((c > &a  &&
	         c < &b  &&
		 c > d)
		? 0 : 1);
}

EOF

if sh/test_feature $temp_c 
then
    echo 1>&4 "--> assuming CODE < HEAP < STACK"
    echo \#define CONSTANT_NORMAL
else
    echo 1>&4 "--> unknown"
fi
