#
# Check for missing lstat().  
#

. sh/verbose.sh
. sh/temp.sh

echo 1>&4 "STREAM:  Checking for lstat()..." 

cat >$temp_c <<EOF

#include <sys/stat.h>

int main()
{
    struct stat s;
    lstat("/aksjdhakshjdkasjhd", &s);
    return 0; 
}

EOF

if sh/test_feature $temp_c
then
    echo 1>&4 "--> working"
else
    echo 1>&4 "--> missing"
    echo \#define STREAM_NO_LSTAT 
fi

