#ifndef ABOUT_WINDOW_INCLUDED
#define ABOUT_WINDOW_INCLUDED

/* The "About BabyChess" window. 

   Compiled as a separate program in the GUI_ABOUT module. 
 */

#include "packer.hh"
#include "string.hh"
#include "multi_edit.hh"
#include "bevel.hh"
#include "button_bar.hh"
#include "trl.hh"

class About_Window
        :      public V_Packer
{
public:

        typedef String Open_Info;

	bool Open(Pointer <Widget> ,
		  Open_Info);

	static const char * Get_Help()
		{
			return "About BabyChess.\n";
		}

private:

//	enum {msg_license= V_Packer::msg_custom};

	Multi_Edit clean_page;
	Bevel bevel;
	H_Button_Bar button_bar;

	String Wdg_Init_Caption() const 
		{
			return Trl("About BabyChess"); 
		}

//	void MR_Receive(int);
};

#endif /* ! ABOUT_WINDOW_INCLUDED */
