#include "busy.hh"

void 
Busy::Start()
{
	if (! Timer::Is())
		Timer::Start(200);
}

void
Busy::Stop()
{
	if (Timer::Is())
	{
	  Timer::Stop();
	  Set_Color(RGB(0xff, 0xff, 0xff));
	}
}

void
Busy::Wdg_Close()
{
	if (Timer::Is())
	  Timer::Stop();
}


void
Busy::Timer_Alarm()
{
	if (! Color_Display::Is())
		return;

	++ count;
	
	Color_Display::Set_Color(RGB(255 * (count % 8) / 8,
				     255 * (count % 8) / 8,
				     128 * (count % 8) / 8));
}
