#include "check_box.hh"

bool Check_Box::Open(Pointer <Widget> parent,
		     bool checked,
		     String text,
		     int new_msg_clicked)
{
	if (! Widget::Open(parent, gtk_check_button_new_with_label(text())))
		return false;

	msg_clicked= new_msg_clicked; 

	gtk_signal_connect(GTK_OBJECT(Get()), 
			   "clicked",
			   GTK_SIGNAL_FUNC(Signal_Clicked), 
			   this);
	
	Set_Checked(checked); 

	return true; 
}

void
Check_Box::Signal_Clicked(GtkButton *gtkbutton,
			  gpointer *data)
{
	Dbg_Function();

	Check_Box *check_box= (Check_Box *)data;
	Assert (check_box != NULL);
	Assert (Deref(check_box).Get() ==
		GTK_WIDGET(gtkbutton));

	Deref(check_box).MR_Send(Deref(check_box).msg_clicked);
}
