#ifndef CHECK_BOX_INCLUDED
#define CHECK_BOX_INCLUDED

#include "dbg.hh"
#include "widget.hh"

class Check_Box
	:  public Widget 
{
public:

	bool Open(Pointer <Widget> parent,
		  bool checked,
		  String text,
		  int msg_clicked= msg_ignore);
	
	void Set_Checked(bool checked)
		{
			int omsg= msg_clicked;
			msg_clicked= msg_ignore; 
			gtk_toggle_button_set_active(GTK_TOGGLE_BUTTON(Get()),
						     checked ? TRUE :
						     FALSE); 
			msg_clicked= omsg;
		}

	bool Get_Checked() const
		{
			Dbg_Function();
			return TRUE == gtk_toggle_button_get_active
				(GTK_TOGGLE_BUTTON(Get())); 
		}

private:

	int msg_clicked;

	static void Signal_Clicked(GtkButton *gtkbutton,
				   gpointer *data);
};

#endif /* ! CHECK_BOX_INCLUDED */
