#include "context_menu.hh"

void Context_Menu::Popup()
{
	Close(false);

	if (! menu.Alloc())
		return; 

	if (! menu().Open(NULL))
		return;

	Menued::Entries entries;
  
	entries.Set_Menued(menued()); 

	menued().Menued_Get(menu_id, entries); 

	menu().Clear(); 
	menu().Append(entries); 

	gtk_menu_popup(GTK_MENU(menu().Get()),
		       NULL, NULL, NULL, NULL,
		       0, 0);
}

void Context_Menu::Close(bool really)
{
	if (! menu.Is())
		return;
	if (menu().Is())
		menu().Close(true);
	menu.Free();
	if (really)
		menued= NULL;
}

Context_Menu::Context_Menu(Pointer <Menued> new_menued,
			   int new_menu_id)
	:  menued(new_menued),
	   menu_id(new_menu_id)
{
}
Context_Menu::~Context_Menu()
{
	Close();
}
