#ifndef CONTEXT_MENU_INCLUDED
#define CONTEXT_MENU_INCLUDED 

#include "menued.hh" 
#include "menu_item.hh"

class Context_Menu
{
public:

	Context_Menu(Pointer <Menued> new_menued,
		     int new_menu_id);

	~Context_Menu();

	void Popup();
	void Close(bool really= true);

private:

	Pointer <Menued> menued;
	int menu_id; 
	Dynamic <Gtk_Popup_Menu> menu;

};

#endif /* ! CONTEXT_MENU_INCLUDED */
