#ifndef EDIT_INCLUDED
#define EDIT_INCLUDED

#include "widget.hh"
//#include "popup_window.hh"

class Edit
	:  public Widget 
{
public:

	class Open_Info
	{
	public:

		Key key;
		int msg;
		String text;
		bool hidden;

		Open_Info(Key new_key= Key(Key::no_key),
			  int new_msg= msg_ok,
			  String new_text= "",
			  bool new_hidden= false)
			:  key(new_key),
			   msg(new_msg),
			   text(new_text),
			   hidden(new_hidden)
			{
			}
	};

	String Get_Text() const
		{
		  Assert(Is()); 
		  String result= gtk_entry_get_text(GTK_ENTRY(Get()));

		  return result;
//			return ""; 
		}
	bool Open(Pointer <Widget> parent,
		  Open_Info open_info);

	bool Open(Pointer <Widget> parent,
		  String text= "")
		{
			return Open(parent, 
				    Open_Info(Key(Key::no_key),
					      msg_ignore, 
					      text));
		}
	void Set_Text(String text)
		{
			gtk_entry_set_text(GTK_ENTRY(Get()), text());
		}
      private:

	int msg;

	void Wdg_Key_Press(Key k)
	  {
	    if (k == Key(Key::ret))
	      Parent_Send_Message(msg);
	  }
};

#endif /* ! EDIT_INCLUDED */
