#include "format_last_move.hh"

#include "trl.hh"
#include "text_utils.hh"
#include "format.hh"

String
Format_Last_Move(const Move_Name move_name,
		 int location,
		 int to_move,
		 const Notation &notation)
{
	Assert (location >= 1);

	String text= notation.Format_Move_Name(move_name);

	return Format("%d.%s %s",
		      (location - 1) / 2 + 1,
		      to_move ? "" : "..",
		      text()); 
}

