#include "frame.hh"

	bool Frame::Open(Pointer <Widget> parent,
		  Open_Info open_info)
	  {
			Dbg_Function();
			Dbg("\tframe_type= %d", open_info.frame_type);

			Assert (open_info.frame_type == ft_up   ||
				open_info.frame_type == ft_down ||
				open_info.frame_type == ft_bevel_down ||
				open_info.frame_type == ft_bevel_up);

			if (! Widget::Open(parent,
					   gtk_frame_new(NULL)))
				return false;
			gtk_frame_set_shadow_type(GTK_FRAME(Get()),
						  open_info.frame_type); 
			if (open_info.text.Is())
			gtk_frame_set_label(GTK_FRAME(Get()),
					    open_info.text());
					    return true;
		}
