#ifndef KEYS_INCLUDED
#define KEYS_INCLUDED

#include "key.hh"

static const Key key_no               (           Key::no_key);

static const Key key_new              (Key::ctrl, 'n'        );
static const Key key_save             (Key::ctrl, 's'        );
static const Key key_quit             (Key::ctrl, 'q'        );
static const Key key_run              (           's'        );
static const Key key_pause            (           'p'        );
static const Key key_stop             (           'o'        );
static const Key key_copy             (Key::meta, 'w'        );
static const Key key_paste            (Key::ctrl, 'y'        );
static const Key key_begin            (Key::ctrl, 'a'        );
static const Key key_back             (Key::ctrl, 'b'        );
static const Key key_forward          (Key::ctrl, 'f'        );
static const Key key_end              (Key::ctrl, 'e'        );
static const Key key_remove_end       (Key::meta, 'd'        );
static const Key key_ok               (           Key::ret   );
static const Key key_apply            (Key::ctrl, Key::ret   );
static const Key key_settings         (Key::meta, 's'        );
static const Key key_about            (Key::meta, 'a'        );
static const Key key_open             (Key::ctrl, 'o'        );
static const Key key_save_as          (Key::ctrl, 'w'        );
static const Key key_terminate        (Key::ctrl, 't'        );
static const Key key_dump             (Key::meta, '/'        );
static const Key key_paint            (Key::meta, '\\'       );
static const Key key_next_control     (           Key::tab   );
static const Key key_previous_control (Key::meta, 'o'        );
static const Key key_click            (           ' '        );

#endif /* ! KEYS_INCLUDED */
