#ifndef PIPE_INCLUDED
#define PIPE_INCLUDED

//#include "file.hh"
#include "stream.hh"

bool
Pipe(Stream &stream_a,
     Stream &stream_b,
     int type= Stream::text); 
/* Open a pipe between STREAM_A and STREAM_B.  Both must be closed.
   Data can be written into STREAM_A and read from STREAM_B.  TYPE is
   binary or text.  Binary pipes are unbuffered, text pipes are line
   buffered.   
*/

#endif /* ! PIPE_INCLUDED */
