#ifndef PROMOTION_CHOOSER_INCLUDED
#define PROMOTION_CHOOSER_INCLUDED

#include "radio_chooser.hh"

class Promotion_Chooser
:  public Radio_Chooser
{
public:

  bool Open(Pointer <Widget> parent,
	    const Notation &notation)
    {
      if (! Radio_Chooser::Open(parent,
				msg_ignore,
				Trl("Promote pawn"),
				4))
	return false;
      return (Append(notation.Get_Pieces()[pt_Q])  &&
	      Append(notation.Get_Pieces()[pt_R])  &&
	      Append(notation.Get_Pieces()[pt_B])  &&
	      Append(notation.Get_Pieces()[pt_N]));
    }

  void Set_Used(bool used)
    {
      Set_Visible(used);
      if (used)
	Set_Selected(0); 
    }
};

#endif /* ! PROMOTION_CHOOSER_INCLUDED */ 
