#ifndef RADIO_CHOOSER_INCLUDED
#define RADIO_CHOOSER_INCLUDED

#include "radio_chooser_content.hh"
#include "framed.hh"

class Radio_Chooser
	:  public Framed <Radio_Chooser_Content>
{
public:

	bool Open(Pointer <Widget>, 
		  int msg_change,           
		  String text,
		  int columns= 1);

	Radio_Chooser_Content &Get_Chooser() 
		{
			return This(); 
		}
	const Radio_Chooser_Content &Get_Chooser() const
		{
			return This();
		}
	int Get_Selected() const
		{
			return Get_Chooser().Get_Selected();
		}
	void Set_Selected(int selected)
		{
			Get_Chooser().Set_Selected(selected);
		}
	bool Append(String text)
		{
			return Get_Chooser().Append(text); 
		}
	void Clear()
		{
			This().Clear(); 
		}
	int Get_Count() const
		{
			return This().Get_Count();
		}
};

#endif /* ! RADIO_CHOOSER_INCLUDED */
