#include "read_line.hh"

bool 
Read_Line(Stream   &stream,
	  String &line)
{
	enum {buf_size= 0x80};

	line= "";
	char buffer[buf_size];
	while (true)
	{
		if (! stream.Read_Line(buffer, buf_size))
		{
			return line.Is(); 
		}

		Assert (buffer[0] != '\0');
		line += buffer;
		if (line[-1] == '\n')
		{
			line= line.Sub(0, *line - 1); 
			return true;
		}
	}
}

