#include "main.hh"
#include "time.hh"
#include "io.hh"
#include "sleep.hh" 

int
Main(int, char **)
{
	Time begin_time= Get_Time(); 

	Sleep(2000); 

	Time end_time= Get_Time();

	Time time= end_time - begin_time; 

	Format_File(IO::out,
		    "time= %d clocks\n"
		    "Time:  %d ms\n"
		    "CLOCK_PER_SEC= %d\n",
		    (int) time, 
		    Time_To_ms(time),
		    CLOCKS_PER_SEC); 

	return 0; 
}
