/* The XBoard chess engine 
 */

/* A chess engine compatible to XBoard.
 */

#include "opt_main.hh"
#include "xboard_engine_session.hh"

#include <signal.h>

const char *opt_main_options= ""; 

int Opt_Main(int, 
	     char **)
{
	/* Ignore SIGINT
	 */
	signal(SIGINT, SIG_IGN);

	XBoard_Engine_Session xboard_engine_session;

	xboard_engine_session.Run(); 

	return 0;
}

const char *
arg_get_help=
		"The BabyChess XBoard engine.\n"
		"See <http://www.tim-mann.org/xboard/engine-intf.html>.\n"; 


