/* Documentation of the DIR module.  This file is not compiled. 
 */

/* Read the content of a directory. 
 */

class Dir
{
public:

	Dir(String directory_name);
	/* Open the directory DIRECTORY_NAME.  May fail.  Check Is().  
	 */
	/* The directory is closed on destruction. 
	 */

	bool Is() const;
	void Close();
	/* The directory must be open. 
	 */

	/* In the following functions, the directory must be open 
	 */
	bool Read(String &file_name);
	/* Read the next file name from the directory into FILE_NAME.
	   Return TRUE if the next file name was read, and FALSE if
	   there is no next file.  
	*/

	static bool Make(String file_name);
	/* Create a directory.  Return FALSE on error. 
	*/
};
