. sh/temp.sh
. sh/verbose.sh

echo 1>&4 "RESOLVE_PATH:  Checking for resolvepath()..."

echo '

#include <limits.h>
#include <stdlib.h>
#include <unistd.h>

int main()
{
    char buf[PATH_MAX + 1];
    int r= resolvepath("zxjkldhasdhjsadjkl",
		       buf,
		       PATH_MAX);
    return 0;
}
' >$temp_c

if sh/test_feature $temp_c
then
    echo 1>&4 "--> working"
    echo \#define RESOLVE_PATH_RESOLVEPATH
else
    echo 1>&4 "--> broken"
    echo 1>&4 "RESOLVE_PATH:  Checking for realpath()..."

    echo '

#include <limits.h>
#include <stdlib.h>

int main()
{
    char buf[PATH_MAX];
    realpath("zxjkldhasdhjsadjkl",
	     buf);
    return 0;
}
' >$temp_c

    if sh/test_feature $temp_c
    then
	echo 1>&4 "--> working"
	echo \#define RESOLVE_PATH_REALPATH
    else
	echo 1>&4 "--> broken"
    fi
fi
