#ifndef CHECK_POSITION_INCLUDED
#define CHECK_POSITION_INCLUDED

#include "position.hh"

enum {nrm_ok= 0,
      nrm_no_white_king,
      nrm_no_black_king,
      nrm_multiple_white_kings,
      nrm_multiple_black_kings,
      nrm_king_in_capture,
      nrm_pawn_on_first_row};

int
Check_Position(const Position &position);
/* Check whether POSITION is a legal position.  Return one of the
   constants.  
   
//   Only KING_POS is set in position. 


//   position.moved[e1] and [e8] are ignored and set to 0.
 */

String Check_Position_Error(int);
/* Error message corresponding to the return value of Normalize().  
 */

#endif /* ! CHECK_POSITION_INCLUDED */
