#ifndef CHESS_COLOR_INCLUDED
#define CHESS_COLOR_INCLUDED

/* The color of a chess piece, or the color of a square of a chess
   board. 
 */

#include "inline.hh"

enum /* Chess_Color */
{
	cc_w= 0, /* white */
	cc_b= 1  /* black */
};

typedef int Chess_Color;

Inline
Chess_Color
CC_Turn(Chess_Color c)
{
	Assert (c == cc_w || c == cc_b);
	return 1 ^ c;
}

#endif /* ! CHESS_COLOR_INCLUDED */
