#include "edit.hh"

bool Edit::Open(Pointer <Widget> parent,
		Open_Info open_info)
{
	if (! Widget::Open(parent,
			   gtk_entry_new()))
		return false;
	Connect_Key_Signals(Get());
	Set_Text(open_info.text);
	if (open_info.hidden)
		gtk_entry_set_visibility(GTK_ENTRY(Get()), FALSE); 
	msg= open_info.msg;
	return true;
}
