#include "env.hh"

#include "assert.hh"

extern char **environ;

void
Env::Set(String name,
	 String value)
{
	Assert (name.Is());

	int a= *name;
	int b= *value;
	
	char *p= (char *) malloc(a + b + 2);
	
	if (p == NULL)
		return;

	strcpy(p, name());
	p[a]= '=';
	strcpy(p + a + 1, value());
	
	if (0 != putenv(p))
		free(p);
}
