#ifndef ENV_INCLUDED
#define ENV_INCLUDED

#include "string.hh"

#include <stdlib.h>
#include <unistd.h>

class Env
{
public:
  
	static String Get(String variable_name)
		/* Return value of environment variable named NAME.  Return
		   the empty string if there is no such variable. 
		*/
		{			
			return getenv(variable_name());
		}

	static void Set(String name,
			String value);
};

#endif /* ! ENV_INCLUDED */
