#ifndef GLYPH_TYPE_INCLUDED
#define GLYPH_TYPE_INCLUDED

enum Glyph_Type
{
	gl_nothing= 0,

	/* filled polygons */
	gl_type_filled,

	gl_up,
	gl_down,
	gl_left,
	gl_right,

	gl_end_filled,

	/* lines */
	gl_type_line,

	gl_check,
	gl_start,
	gl_back,
	gl_forward,
	gl_end,
	gl_stop,
	gl_clear= gl_stop,
	gl_apply,

	gl_end_line,

	/* polygon lines filled with background */
	gl_type_background,

	gl_new,
	gl_run,

	gl_end_background,

	/* other */
	gl_radio,

	/* unimplemented */
	gl_unimplemented,
	gl_quit,
	gl_about,
	gl_ok,
	gl_copy,
	gl_paste,
	gl_cancel,
	gl_settings,
	gl_pause,

	/* default */
	gl_default= gl_nothing,
};

#endif /* ! GLYPH_TYPE_INCLUDED */ 
