#include "ics_account_editor.hh"

bool
ICS_Account_Editor::Object_Editor_Open(Pointer <Widget> parent)
{
  if (! packer.Open(parent, 2))
    return false;

  host_label.Open(packer, "Host:");
  host_edit.Open(packer, ics_account.host);
  port_label.Open(packer, "Port:");
  port_edit.Open(packer, Int_Edit::Open_Info(msg_ignore, ics_account.port));
  user_label.Open(packer, "User:");
  user_edit.Open(packer, ics_account.user);
  password_label.Open(packer, "Password:");
  password_edit.Open(packer,
		     Edit::Open_Info(Key(Key::no_key),
				     V_Packer::msg_ok,
				     ics_account.password,
				     true));

  return true; 
}
