#ifndef INFORM_WINDOW_INCLUDED
#define INFORM_WINDOW_INCLUDED

#include "widget.hh"

class Inform_Window
	:  /*virtual*/ public Widget
{
public:

	class Open_Info
	{
	public:
		String title, text;
		Open_Info(String new_title, String new_text)
			:  title(new_title), text(new_text)
			{
			}
	};

	bool Open(Pointer <Widget> parent, Open_Info open_info);

private:

	Point Wdg_Get_Window_Size() const
		{
			return -1;
		}
	void Wdg_Close()
		{
			Dbg_Function();
			Window::Dec(); 
			Widget::Wdg_Close();
		}
	GtkWindow *Get_Gtk_Window() const
		{
			return GTK_WINDOW(Get()); 
		}
	static void Signal_OK(GtkWidget *, gpointer data)
		{
			Dbg_Function();
			Inform_Window &wi= Deref((Inform_Window *)data);
			wi.Close();
		}
};

#endif /* ! INFORM_WINDOW_INCLUDED */
