#ifndef MENU_BAR_INCLUDED
#define MENU_BAR_INCLUDED

#include "menu_item.hh"
#include "dynamic.hh"

class Menu_Bar
	:  /*virtual*/ public Widget
{
public:

	bool Open(Pointer <Widget> parent)
		{
			if (! Widget::Open(parent, gtk_menu_bar_new()))
				return false;

			return true; 
		}

	void Append(const Menued::Entries &entries); 

private:

	Vector <Dynamic <Menu_Item> > items; 

	void Wdg_Append_Child(Widget &widget)
		{
			gtk_menu_bar_append(GTK_MENU_BAR(Get()),
					    widget.Get()); 
		}
};

#endif /* ! MENU_BAR_INCLUDED */ 
