#ifndef MESSAGE_RECEIVER_INCLUDED
#define MESSAGE_RECEIVER_INCLUDED

/* A Message_Receiver can receive a command through the "MR_Receive()"
   function.  The command will arrive later than it was posted. 
 */

#include "pointer.hh"

class Message_Receiver
	:  virtual public Pointed 
{
public:

	virtual void MR_Receive(int /* msg */) 
		{
		}
	virtual void MR_Send(int msg); 
	/* MSG should be >= -1.  If MSG is -1, then the message is
	   ignored. 
	 */

	void Remove_Pending_Messages();
};

#endif /* ! MESSAGE_RECEIVER_INCLUDED */
