#ifndef NOTATION_EDITOR_INCLUDED
#define NOTATION_EDITOR_INCLUDED

#include "object_editor.hh"
#include "notation.hh"
#include "check_box.hh"

class Notation_Editor
	:  public Object_Editor <Notation> 
{
public:

	const Notation &Editor_Window_Get_Value();

	const char *EW_Type_Name() const
		{
			return "Notation preferences"; 
		}
private:

	Notation notation; 
	Check_Box check_box[8]; 

	bool Object_Editor_Open(Pointer <Widget> parent);

	void Editor_Window_Set_Value(Pointer <const Notation> new_notation);
	bool Editor_Window_New();

	void Wdg_Close();
	String Wdg_Init_Caption() const
		{
			return Trl("Notation Preferences");
		}
	void Retrieve_Value(); 
};

#endif /* NOTATION_EDITOR_INCLUDED */ 
