#ifndef SQUARE_VALUE_INCLUDED
#define SQUARE_VALUE_INCLUDED

#include "inline.hh"
#include "square.hh"

enum Square_Value_Type
{
	sv_pawn= 0,
	sv_count
};

extern const int square_value[sv_count][120]; 

Inline
int
Square_Value(int square,
	     Square_Value_Type type)
{
	Assert (Is_Inside_Square(square));
	Assert (type >= 0 && type < sv_count);

	return square_value[type][square]; 
}

#endif /* ! SQUARE_VALUE_INCLUDED */
