#ifndef STYLE_INCLUDED
#define STYLE_INCLUDED

#include "canvas.hh"

enum Style
{
	st_face= GTK_STATE_NORMAL,
	st_background= GTK_STATE_NORMAL,
	st_frame_light_upper= GTK_STATE_NORMAL,
	st_frame_dark_upper= GTK_STATE_NORMAL,
	st_frame_dark_lower= GTK_STATE_NORMAL,
	st_frame_light_lower= GTK_STATE_NORMAL,
	st_selected= GTK_STATE_SELECTED,

	st_default= st_face,
};

Canvas::Color
Style_Color(Style style,
	    bool foreground= false); 

#endif /* ! STYLE_INCLUDED */
