#include "text_widget.hh"

bool Text_Widget::
Open(Pointer <Widget> parent,
     const Open_Info &open_info)
{
	Dbg_Function();
	Dbg_Int(open_info.alignment);

	Assert (open_info.alignment >= 0 && 
		open_info.alignment < 3);

	if (! Widget::Open(parent, gtk_label_new(open_info.text())))
		return false;
	float xalign[3]= {0.0, 0.5, 1.0};
	
	gtk_misc_set_alignment (GTK_MISC (Get()), 
				xalign[open_info.alignment],
				0.5);

//	gtk_label_set_justify(GTK_LABEL(Get()),
//			      (GtkJustification) open_info.alignment); 

	return true;
}

